Bug 471813 - conflicts between gstreamer-devel-0.10.21-2.fc10.i386 and gstreamer-devel-0.10.21-2.fc10.x86_64
conflicts between gstreamer-devel-0.10.21-2.fc10.i386 and gstreamer-devel-0.1...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
: 496404 548817 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 15:49 EST by Jim Radford
Modified: 2010-06-28 14:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:49:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2008-11-16 15:49:11 EST
Running

 yum update

fails due to the conflicts below.

  file /usr/share/gtk-doc/html/gstreamer-0.10/GstBin.html conflicts between attempted installs of gstreamer-devel-0.10.21-2.fc10.i386 and gstreamer-devel-0.10.21-2.fc10.x86_64
  ...
Comment 1 Bug Zapper 2008-11-26 00:29:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Philippe Troin 2009-06-26 16:48:03 EDT
Still present in F11 with gstreamer-devel-0.10.23-2.fc11:

Transaction Check Error:
  file /usr/share/gtk-doc/html/gstreamer-0.10/GstBin.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/GstElementFactory.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/GstPadTemplate.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/GstTypeFindFactory.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gst-building.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gst-running.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-0.10.devhelp from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-0.10.devhelp2 from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-Gst.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstBuffer.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstCaps.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstEvent.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstFilter.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstGError.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstIterator.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstMessage.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstQuery.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstTagList.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-0.10/gstreamer-GstTrace.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-libs-0.10/GstBaseSink.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-libs-0.10/GstBaseSrc.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-libs-0.10/GstBaseTransform.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-libs-0.10/gstreamer-libs-0.10.devhelp from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-libs-0.10/gstreamer-libs-0.10.devhelp2 from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/ch01.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/ch02.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-0.10.devhelp from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-0.10.devhelp2 from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-capsfilter.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fakesink.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fakesrc.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fdsink.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fdsrc.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-filesink.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-filesrc.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-identity.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-multiqueue.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-plugin-coreelements.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-plugin-coreindexers.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-queue.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-tee.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
  file /usr/share/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-typefind.html from install of gstreamer-devel-0.10.23-2.fc11.i586 conflicts with file from package gstreamer-devel-0.10.23-2.fc11.x86_64
Comment 3 Bastien Nocera 2009-11-10 06:06:35 EST
*** Bug 496404 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-11-18 03:52:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:51:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Philippe Troin 2009-12-18 13:02:28 EST
This bug is still present in F11.

I've opened #548817 to keep track of the problem as RH Bugzilla won't let me reopen a bug which I did not create.
Comment 7 Owen Taylor 2009-12-18 13:14:11 EST
*** Bug 548817 has been marked as a duplicate of this bug. ***
Comment 8 Owen Taylor 2009-12-18 13:15:18 EST
Thanks for the testing. Generally works to just ask for a bug to be reopened :-) Have you checked with Fedora 12? That's more interesting at this point; we're unlikely to do an update to F11 to fix something like this.
Comment 9 Philippe Troin 2010-02-13 19:06:13 EST
F12 is also broken with gstreamer-devel-0.10.25.1-3.fc12
Comment 10 Bug Zapper 2010-04-27 08:20:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:49:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Jim Radford 2010-06-28 14:57:48 EDT
This is fixed in f13.

Note You need to log in before you can comment on or make changes to this bug.